# Namespace internal

#####
Index

### References

Duplex
DuplexOptions
Readable
ReadableOptions
Stream
StreamOptions
Writable
WritableOptions

### Namespaces

finished
pipeline

### Classes

PassThrough
Transform

### Interfaces

FinishedOptions
Pipe
PipelineOptions
TransformOptions

### Type Aliases

PipelineCallback
PipelineDestination
PipelineDestinationIterableFunction
PipelineDestinationPromiseFunction
PipelinePromise
PipelineSource
PipelineSourceFunction
PipelineTransform
PipelineTransformSource
TransformCallback

### Variables

consumers
promises

### Functions

addAbortSignal
finished
getDefaultHighWaterMark
isErrored
isReadable
pipeline
setDefaultHighWaterMark

## References

### Duplex

Re-exports Duplex

### DuplexOptions

Re-exports DuplexOptions

### Readable

Re-exports Readable

### ReadableOptions

Re-exports ReadableOptions

### Stream

Re-exports Stream

### StreamOptions

Re-exports StreamOptions

### Writable

Re-exports Writable

### WritableOptions

Re-exports WritableOptions

Generated using TypeDoc